---
id: index
title: Core Concepts
sidebar_position: 1
---

# Core Concepts

Understanding the fundamental concepts of Synapse SDK.

## Architecture

Learn about the overall system architecture and design principles.

## Plugin System

Understanding how plugins work, categories, and execution methods.

## Clients

Different client types and their use cases:
- BackendClient for API operations
- AgentClient for distributed execution

## Execution Methods

Different ways to run plugins:
- **JOB**: Long-running operations with monitoring
- **TASK**: Quick, simple operations
- **RESTAPI**: Serving models and APIs

## Data Flow

How data flows through the system from input to output.

## Security

Authentication, authorization, and security best practices.